package dev.micle.xptools.config;

public class OverrideItem {
    private boolean isTag = false;
    private String id = "";
    private OverrideType type = OverrideType.MULTIPLIER;
    private float min = 1;
    private float max = 1;

    public OverrideItem(String configString) {
        String[] splitString = configString.split(",");

        if (splitString.length == 4) {
            isTag = splitString[0].startsWith("#");
            id = isTag ? splitString[0].substring(1) : splitString[0];

            type = OverrideType.valueOf(splitString[1]);

            min = Float.parseFloat(splitString[2]);
            max = Float.parseFloat(splitString[3]);
        }
    }

    public boolean isTag() {
        return isTag;
    }

    public String getId() {
        return id;
    }

    public OverrideType getType() {
        return type;
    }

    public float getMin() {
        return min;
    }

    public float getMax() {
        return max;
    }
}
